//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

#include "Control.h"

namespace VWFC
{
	namespace VWUI
	{
		class VWEditIntegerCtrl : public VWControl
		{
		public:
							VWEditIntegerCtrl(TControlID id);
			virtual			~VWEditIntegerCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, long lDefaultValue, short widthInCharacters);

		// attributes
		public:
			long			GetEditInteger() const;
			bool			GetEditInteger(long& outValue) const;
			void			SetEditInteger(long value);
			void			SelectContent();

		};
	}
}