//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

#include "Control.h"

namespace VWFC
{
	namespace VWUI
	{
		class VWEditTextCtrl : public VWControl
		{
		public:
							VWEditTextCtrl(TControlID id);
			virtual			~VWEditTextCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, const TXString& text, short widthInCharacters, short heightInLines=1);

		// attributes
		public:
			void			GetText255(TXString& string);
			void			GetMultilineText(TXString& string);
			void			SetText255(const TXString& string);
			void			SetMultilineText(const TXString& string);
			void			SelectContent();
			void			DeselectContent();

		};
	}
}