#ifndef REZ_FOR_MACHO
	#define REZ_FOR_MACHO 0
#endif

#if REZ_FOR_MACHO
	#include <Carbon/Carbon.r>
#else
	#include "MacTypes.r"
#endif

#include "GSRsrc.r"

// ------------------------------------------------------------------------------------------------------------
// The parametric object resources
resource 'STR#' (11300, "ExtObjThePoly2D")  {
	{
		/* 1 */		"CExtObj module obj",
		/* 2 */		"Extension Tool - ExtObjThePoly2DDefTool",
		/* 3 */		"Sample",
		/* 4 */		"Extension Tool : Do something",
		/* 5 */		"",
		/* 6 */		"",
		/* 7 */		"",
		/* 8 */		"",
		/* 9 */		"",
		/* 10 */	"Sample Button A\n\nSome more info on button A.",
		/* 11 */	"Sample Button B\n\nSome more info on button B.",
		/* 12 */	"Corner Vertex Mode\n\nClick to start polyline.  Position mouse at second point and click again; continue process with subsequent points; double-click to end.",
		/* 13 */	"Bezier Vertex Mode\n\nBezier control points pull the curve towards the point (without touching it). Click to set first Bezier.  Position mouse at second point and click again; continue process with subsequent points; double-click to end.",
		/* 14 */	"Cubic Vertex Mode\n\nA cubic control point produces a curve that passes through the control point.  Click to set first point.  Position mouse at second point and click again; continue process with subsequent points; double-click to end.",
		/* 15 */	"Tangent Arc Mode\n\nClick to define the starting point of the arc. The point created with the second click establishes \na vector for the tangent line.  Click to set the ending point of the arc. Refer to the Data Display bar for assistance.",
		/* 16 */	"Point on Arc Mode\n\nClick to define the starting point of the arc.  The arc passes through the point created with a second click.  The third click defines the ending point of the arc. Refer to the Data Display bar for assistance.",
		/* 17 */	"Arc Preferences...\n\nTo set the fillet radius, click this button.",
		/* 18 */	"Sample Preferences...\n\nSets the preferences for this object.",
		/* 19 */	"",
		/* 20 */	"",
		/* 21 */	"",
		/* 22 */	"",
	}
};







resource 'STR#' (11301, "ExtObjThePoly2D:params") {
	{
		/* 1 */		"Param 1",
		/* 2 */		"Param 2",
		/* 3 */		"Param 3",
		/* 4 */		"Param 4",
		/* 5 */		"Param 5",
		/* 6 */		"Param 6",
		/* 7 */		"Param 7",
		/* 8 */		"The Angle",
		/* 9 */		"The Area",
		/* 10 */	"The Volume",
		/* 11 */	"The Class",
		/* 12 */	"The Layer",
		/* 13 */	"",
		/* 14 */	"",
		/* 15 */	"",
		/* 16 */	"",
		/* 17 */	"",
		/* 18 */	"",
		/* 19 */	"",
		/* 20 */	"",
		/* 21 */	"",
		/* 22 */	"",
		/* 23 */	"",
		/* 24 */	"",
		/* 25 */	"",
		/* 26 */	"",
		/* 27 */	"",
		/* 28 */	"",
		/* 29 */	"",
	}
};

resource 'STR#' (11302, "ExtObjThePoly2D:choices") {
	{
		/* 1 */		"Line",
		/* 2 */		"Arc",
		/* 3 */		"Bezier",
		/* 4 */		"None",
		/* 5 */		"Default Legend",
		/* 6 */		"",
		/* 7 */		"",
	}
};

// ------------------------------------------------------------------------------------------------------------
// The default tool resources
resource 'TEXT' (11300, "ExtObjThePoly2DDefTool:help") {
	"Help text\n\n"
	"Extensive help text"
};


