#ifndef REZ_FOR_MACHO
	#define REZ_FOR_MACHO 0
#endif

#if REZ_FOR_MACHO
	#include <Carbon/Carbon.r>
#else
	#include "MacTypes.r"
#endif

#include "GSRsrc.r"

//
// Module resource definitions


// ------------------------------------------------------------------------------------------------------------
// The parametric object resources
resource 'STR#' (11000, "CExtObj")  {
	{
		/* 1 */		"Advanced Complex Object",
		/* 2 */		"Advanced Complex Object",
		/* 3 */		"Testing",
		/* 4 */		"Place the samaple object",
		/* 5 */		"",
		/* 6 */		"",
	}
};

resource 'STR#' (11001, "CExtObj:params") {
	{
		/* 1 */		"Param 1",
		/* 2 */		"Param 2",
		/* 3 */		"Param 3",
		/* 4 */		"Param 4",
		/* 5 */		"Param 5",
		/* 6 */		"Param 6",
		/* 7 */		"Param 7",
		/* 8 */		"The Angle",
		/* 9 */		"The Area",
		/* 10 */	"The Volume",
		/* 11 */	"The Class",
		/* 12 */	"The Layer",
		/* 13 */	"Separator 1",
		/* 14 */	"Separator 2",
		/* 15 */	"Edit Something...",
		/* 16 */	"",
		/* 17 */	"",
		/* 18 */	"",
		/* 19 */	"",
		/* 20 */	"",
		/* 21 */	"",
		/* 22 */	"",
		/* 23 */	"",
		/* 24 */	"",
		/* 25 */	"",
		/* 26 */	"",
		/* 27 */	"",
		/* 28 */	"",
		/* 29 */	"",
	}
};

resource 'STR#' (11002, "CExtObj:choices") {
	{
		/* 1 */		"Line",
		/* 2 */		"Arc",
		/* 3 */		"Bezier",
		/* 4 */		"None",
		/* 5 */		"Default Legend",
		/* 6 */		"",
		/* 7 */		"",
	}
};

resource 'TEXT' (11000, "CExtObjAdvComplex:help") {
	"some help\n\n"
	"some detailed help for the menu command"
};

// ------------------------------------------------------------------------------------------------------------
// The menu resources
resource 'STR#' (12000, "CExtMenu") {
	{
		/* 1 */		"Tester Menu",
		/* 2 */		"Testing",
		/* 3 */		"",
		/* 4 */		"item 1",
		/* 5 */		"item 2",
		/* 6 */		"item 3",
		/* 7 */		"item 4",
		/* 8 */		"item 5",
		/* 9 */		"",
		/* 10 */	"",
	}
};

resource 'TEXT' (12000, "CExtMenu:help") {
	"some help\n\n"
	"some detailed help for the menu command"
};

// ------------------------------------------------------------------------------------------------------------
// The tool resources
resource 'STR#' (13000, "CExtTool") {
	{
		/* 1 */		"Extension Tool",
		/* 2 */		"Testing",
		/* 3 */		"Extension Tool : Do something",
		/* 4 */		"",
		/* 5 */		"",
		/* 6 */		"",
	}
};

resource 'TEXT' (13000, "CExtTool:help") {
	"Help text\n\n"
	"Extensive help text"
};

// ------------------------------------------------------------------------------------------------------------
// The dynamic menu resources
resource 'STR#' (14000, "ExtMenuDyn") {
	{
		/* 1 */		"Tester Dynamic Menu",
		/* 2 */		"Testing",
		/* 3 */		"",
		/* 4 */		"",
		/* 5 */		"item 1",
		/* 6 */		"item 2",
		/* 7 */		"",
		/* 8 */		"",
		/* 9 */		"",
		/* 10 */	"",
	}
};

resource 'TEXT' (14000, "ExtMenuDyn:help") {
	"some help\n\n"
	"some detailed help for the menu command"
};
