#include "StdAfx.h"

#include "SampleDlg1.h"
#include "PluginResource.h"

#define    kDialogID                128
#define    kTextControlID			3
#define    kEditIntegerControlID	4
#define    kMyImageControlID		17

using namespace UI;
EVENT_DISPATCH_MAP_BEGIN( CMyDialog );
ADD_DISPATCH_EVENT( kEditIntegerControlID, EditIntegerChanged );
EVENT_DISPATCH_MAP_END;

CMyDialog::CMyDialog() :
   fStaticTextCtrl( kTextControlID ),
   fEditIntegerCtrl( kEditIntegerControlID ),
   fMyCustomCtrl1( kMyImageControlID )
{
   fIntControlValue    = 5;
}

CMyDialog::~CMyDialog()
{
}

bool CMyDialog::CreateDialogLayout()
{
   // create the dialog
   if ( ! this->CreateDialog( "CinerenderTCP", "OK", "Cancel", true ) )
       return false;

   // create the controls in the dialog
   if ( ! fStaticTextCtrl.CreateControl( this, "Enter a value:" ) )
       return false;
   if ( ! fEditIntegerCtrl.CreateControl( this, 4, 5 ) )
      return false;

   if ( ! fMyCustomCtrl1.CreateControl( this, 400, 300 ) )
      return false;

   // add the controls to the dialog
   this->AddFirstGroupControl( & fStaticTextCtrl );
   this->AddRightControl( & fStaticTextCtrl, & fEditIntegerCtrl );
   this->AddBelowControl( & fStaticTextCtrl, & fMyCustomCtrl1 );

   return true;
}
void CMyDialog::OnInitializeContent()
{
        VWDialog::OnInitializeContent();

        // TODO: Fill up your dialog controls here
}

void CMyDialog::OnDDXInitialize()
{
   // TODO: Attach DDX variables -- if any
   this->AddDDX_EditInteger( kEditIntegerControlID, & fIntControlValue );

  this->AddDDX_Control( & fMyCustomCtrl1 );
}

void CMyDialog::EditIntegerChanged(long controlID, VWDialogEventArgs& eventArgs)
{
   // TODO: Handle the control event
}


